[arch-commits] Commit in texlive-formatsextra/repos (4 files)

Rémy Oudompheng remy at archlinux.org
Sat May 11 21:11:49 UTC 2019


    Date: Saturday, May 11, 2019 @ 21:11:48
  Author: remy
Revision: 352868

archrelease: copy trunk to testing-any

Added:
  texlive-formatsextra/repos/testing-any/
  texlive-formatsextra/repos/testing-any/PKGBUILD
    (from rev 352867, texlive-formatsextra/trunk/PKGBUILD)
  texlive-formatsextra/repos/testing-any/texlive-formatsextra.fmts
    (from rev 352867, texlive-formatsextra/trunk/texlive-formatsextra.fmts)
  texlive-formatsextra/repos/testing-any/texlive-formatsextra.maps
    (from rev 352867, texlive-formatsextra/trunk/texlive-formatsextra.maps)

---------------------------+
 PKGBUILD                  |   58 ++++++++++++++++++++++++++++++++++++++++++++
 texlive-formatsextra.fmts |    9 ++++++
 texlive-formatsextra.maps |    1 
 3 files changed, 68 insertions(+)

Copied: texlive-formatsextra/repos/testing-any/PKGBUILD (from rev 352867, texlive-formatsextra/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2019-05-11 21:11:48 UTC (rev 352868)
@@ -0,0 +1,58 @@
+# Contributor: Firmicus <firmicus āt gmx dōt net>
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-formatsextra
+pkgver=2019.50602
+_revnr=${pkgver#2019.}
+pkgrel=1
+pkgdesc="TeX Live - collection of extra TeX 'formats'"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+groups=('texlive-most')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip"
+        "${pkgname}.fmts"
+        "${pkgname}.maps")
+options=('!emptydirs')
+provides=('texlive-htmlxml')
+conflicts=('texlive-htmlxml')
+replaces=('texlive-htmlxml')
+sha256sums=('f7a566ccb2a9b65fbf5b033595256c62678d7bfb270a64aa460297e7642b1e32'
+            'edee1d8b46005847381dbf20afacad6d14f3d59406facdc609c92d9e20ed6df2'
+            'ad67f39779bfe76327351fe4e8699369b031ac700947e04ff57a0c5ebe9b613b')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+       case $p in
+           aleph.*|lambda.*|omega.*)
+               ;;
+           *)
+               bsdtar -xf $p
+               ;;
+       esac
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+
+package() {
+   cd "$srcdir"
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m644 "${pkgname}.fmts" $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+}

Copied: texlive-formatsextra/repos/testing-any/texlive-formatsextra.fmts (from rev 352867, texlive-formatsextra/trunk/texlive-formatsextra.fmts)
===================================================================
--- testing-any/texlive-formatsextra.fmts	                        (rev 0)
+++ testing-any/texlive-formatsextra.fmts	2019-05-11 21:11:48 UTC (rev 352868)
@@ -0,0 +1,9 @@
+eplain pdftex language.dat -translate-file=cp227.tcx *eplain.ini
+jadetex pdftex language.dat *jadetex.ini
+lollipop tex - lollipop.ini
+mllatex pdftex language.dat -translate-file=cp227.tcx -mltex *mllatex.ini
+mltex pdftex - -translate-file=cp227.tcx -mltex mltex.ini
+pdfjadetex pdftex language.dat *pdfjadetex.ini
+pdfxmltex pdftex language.dat *pdfxmltex.ini
+texsis pdftex - -translate-file=cp227.tcx texsis.ini
+xmltex pdftex language.dat *xmltex.ini

Copied: texlive-formatsextra/repos/testing-any/texlive-formatsextra.maps (from rev 352867, texlive-formatsextra/trunk/texlive-formatsextra.maps)
===================================================================
--- testing-any/texlive-formatsextra.maps	                        (rev 0)
+++ testing-any/texlive-formatsextra.maps	2019-05-11 21:11:48 UTC (rev 352868)
@@ -0,0 +1 @@
+Map mxedruli.map


More information about the arch-commits mailing list